Written by
🚧 [Experimental] Create bucket object download URL
Creates a temporary signed URL for downloading an object from the cloud environment storage bucket.
Request
POST
https://api.datalens.tech/rpc/createBucketDownloadUrl
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"cloudEnvironmentId": "example",
"path": "example"
}
|
Name |
Description |
|
cloudEnvironmentId |
Type: string ID of the cloud environment that owns the storage bucket. Min length: Max length: Example: |
|
path |
Type: string Path of the object in the storage bucket. Must not exceed 1024 UTF-8 bytes or contain control characters. Min length: Example: |
Responses
200 OK
Response
Body
application/json
{
"url": "example"
}
|
Name |
Description |
|
url |
Type: string Temporary signed URL for accessing the object. Example: |